libxcrypt (1:4.5.2+20251210-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Sun, 09 Aug 2026 00:52:53 +0200

libxcrypt (1:4.5.1-1) unstable; urgency=medium

  * New upstream release.
    + Adds support for the chinese ShangMi 3 (SM3) algorithm, as sm3crypt
      ($sm3$) and sm3-yescrypt ($sm3y$).
    + Fixes minor man pages issues. (Closes: #1102020)

 -- Marco d'Itri <md@linux.it>  Fri, 07 Nov 2025 15:06:48 +0100

libxcrypt (1:4.4.38-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Thu, 16 Jan 2025 00:59:41 +0100

libxcrypt (1:4.4.36-5) unstable; urgency=medium

  * Fix the testsuite autopkgtest, which relied on some invalid
    assumptions about the build environment which recently changed.
  * Add support for hurd-amd64. (Closes: #1076326)
  * Fix crypt_gensalt(3). (Closes: #1072803)

 -- Marco d'Itri <md@linux.it>  Fri, 16 Aug 2024 01:21:08 +0200

libxcrypt (1:4.4.36-4) unstable; urgency=medium

  * Reupload to unstable.

 -- Marco d'Itri <md@linux.it>  Mon, 01 Jan 2024 14:00:09 +0100

libxcrypt (1:4.4.36-3) experimental; urgency=medium

  [ Helmut Grohne ]
  * Move libcrypt.so.* to /usr. (Closes: #1055941)

 -- Marco d'Itri <md@linux.it>  Thu, 16 Nov 2023 22:31:28 +0100

libxcrypt (1:4.4.36-2) unstable; urgency=medium

  * Stop marking libcrypt1 Important+Protected. This was needed to help
    the buster to bullseye upgrade path, but now it not much useful
    anymore and it makes hard to uninstall additional multiarch packages.
    (Closes: #1024616)

 -- Marco d'Itri <md@linux.it>  Sat, 29 Jul 2023 18:32:40 +0200

libxcrypt (1:4.4.36-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Tue, 25 Jul 2023 04:47:38 +0200

libxcrypt (1:4.4.35-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Sun, 11 Jun 2023 00:53:18 +0200

libxcrypt (1:4.4.33-2) unstable; urgency=medium

  * Fix the loong64 architecture name. (Closes: #1027262)

 -- Marco d'Itri <md@linux.it>  Fri, 06 Jan 2023 23:57:37 +0100

libxcrypt (1:4.4.33-1) unstable; urgency=medium

  * New upstream release.
  * Add a symbols file for loon64 (LoongArch).

 -- Marco d'Itri <md@linux.it>  Fri, 18 Nov 2022 22:38:21 +0100

libxcrypt (1:4.4.30-1) unstable; urgency=medium

  * New upstream release.
  * Update again the Breaks with musl-dev. (Closes: #1017820)

 -- Marco d'Itri <md@linux.it>  Wed, 02 Nov 2022 23:13:39 +0100

libxcrypt (1:4.4.28-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Move back crypt.h of libcrypt1 to the non-multiarch directory because
    it broke the GCC and LLVM multilib builds. (Closes: #1014114)

 -- Marco d'Itri <md@linux.it>  Sun, 10 Jul 2022 21:30:07 +0200

libxcrypt (1:4.4.28-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Enable building for musl-linux-any. (Closes: #1004102)
  * Move crypt.h to the multiarch directory.

  [ Victor Westerhuis ]
  * Actually run the tests when building the package.

 -- Marco d'Itri <md@linux.it>  Thu, 30 Jun 2022 01:12:35 +0200

libxcrypt (1:4.4.27-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix M-A:same violation in libcrypt-dev by removing --link-doc.
    (Closes: #987781)

 -- Helmut Grohne <helmut@subdivi.de>  Fri, 14 Jan 2022 20:10:07 +0100

libxcrypt (1:4.4.27-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Fri, 17 Dec 2021 23:48:21 +0100

libxcrypt (1:4.4.26-1) unstable; urgency=medium

  * New upstream release.
  * Update the symbols file for arc, contributed by Alexey Brodkin.
    (Closes: #993893)

 -- Marco d'Itri <md@linux.it>  Wed, 10 Nov 2021 23:10:26 +0100

libxcrypt (1:4.4.25-2) unstable; urgency=medium

  * Add a symbols file for arc, contributed by Alexey Brodkin.
    (Closes: #993466)
  * Conflict with older versions of libpam0g which broke support for
    sha-256 hashes with libxcrypt >= 4.4.22. (Closes: #993044)

 -- Marco d'Itri <md@linux.it>  Sat, 04 Sep 2021 01:15:24 +0200

libxcrypt (1:4.4.25-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Tue, 17 Aug 2021 08:51:39 +0200

libxcrypt (1:4.4.23-1) experimental; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Thu, 29 Jul 2021 00:57:00 +0200

libxcrypt (1:4.4.22-1) experimental; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Sun, 30 May 2021 23:41:16 +0200

libxcrypt (1:4.4.20-1) experimental; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Sun, 02 May 2021 00:13:05 +0200

libxcrypt (1:4.4.18-5) unstable; urgency=high

  [ Adrian Bunk ]
  * Fix the libcrypt.so symlink on alpha, broken by 1:4.4.18-4.
    (Closes: #991617)

 -- Marco d'Itri <md@linux.it>  Thu, 29 Jul 2021 00:48:02 +0200

libxcrypt (1:4.4.18-4) unstable; urgency=high

  * Move back the .pc file (and also .so and .a) to /usr/lib/ to fix a
    regression introduced by the precedent upload. (Closes: #987130)

 -- Marco d'Itri <md@linux.it>  Mon, 19 Apr 2021 02:46:31 +0200

libxcrypt (1:4.4.18-3) unstable; urgency=high

  [ Ivo De Decker ]
  * Make sure takeover of libcrypt.so.1 from libc6 works correctly on upgrades
    from buster to bullseye (Closes: #974552):
    - Move the library back from /usr/lib/ to /lib/, because that's where it
      was in the old libc6 (Closes: #953562).
    - Remove breaks from libcrypt1, to allow installing libcrypt1 before libc6
      is upgraded.
    - Mark libcrypt1 as Important and Protected, to prevent removal after a
      partial upgrade.

 -- Marco d'Itri <md@linux.it>  Sat, 17 Apr 2021 04:04:04 +0200

libxcrypt (1:4.4.18-2) unstable; urgency=medium

  * Stop depending on libltdl-dev and instead just include in the package
    the relevant part of /usr/share/aclocal/ltdl.m4. (Closes: #985311)
  * Include upstream commit 86d1e4e to fix cross-compilation.
    (Closes: #985372)

 -- Marco d'Itri <md@linux.it>  Sat, 27 Mar 2021 17:11:11 +0100

libxcrypt (1:4.4.18-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Fri, 12 Mar 2021 22:59:03 +0100

libxcrypt (1:4.4.17-1) unstable; urgency=medium

  * New upstream release.
    + Allow almost all characters in salts.

 -- Marco d'Itri <md@linux.it>  Tue, 25 Aug 2020 01:51:08 +0200

libxcrypt (1:4.4.16-1) unstable; urgency=medium

  * New upstream release.
  * Rename back the library to libcrypt.so.1 on ia64. (Closes: #953958)
  * Add an autopkg test contributed by Matthias Klose. (Closes: #953538)

 -- Marco d'Itri <md@linux.it>  Sun, 05 Apr 2020 01:12:05 +0200

libxcrypt (1:4.4.15-1) unstable; urgency=medium

  * New upstream release.
  * Add a symbols file for nios2. (Closes: #952650)

 -- Marco d'Itri <md@linux.it>  Fri, 28 Feb 2020 20:32:59 +0100

libxcrypt (1:4.4.10-10) unstable; urgency=high

  * Re-upload source-only.

 -- Marco d'Itri <md@linux.it>  Wed, 01 Jan 2020 15:23:32 +0100

libxcrypt (1:4.4.10-9) unstable; urgency=medium

  * Rename the library to libcrypt.so.1.1 on alpha and ia64.
    (Closes: #947606)
  * Exclude debian/libcrypt-dev/ from libxcrypt-source.

 -- Marco d'Itri <md@linux.it>  Sun, 29 Dec 2019 01:05:43 +0100

libxcrypt (1:4.4.10-8) unstable; urgency=medium

  * Rename libcrypt1-dev to libcrypt-dev. (Closes: #946563)

 -- Marco d'Itri <md@linux.it>  Fri, 27 Dec 2019 23:51:08 +0100

libxcrypt (1:4.4.10-7) unstable; urgency=medium

  * Build a libxcrypt-source package to help bootstrapping the
    cross-toolchains.

  [ Steve McIntyre ]
  * Force libcrypt1-udeb to not depend on libc6-udeb. (Closes: #946856)

 -- Marco d'Itri <md@linux.it>  Tue, 17 Dec 2019 00:39:11 +0100

libxcrypt (1:4.4.10-5) unstable; urgency=medium

  * Re-upload to unstable.

 -- Marco d'Itri <md@linux.it>  Fri, 06 Dec 2019 12:00:54 +0100

libxcrypt (1:4.4.10-4) experimental; urgency=medium

  * Added architecture-dependant symbol files.

 -- Marco d'Itri <md@linux.it>  Mon, 25 Nov 2019 02:25:53 +0100

libxcrypt (1:4.4.10-3) experimental; urgency=medium

  * Re-upload with the orig.tar.xz.

 -- Marco d'Itri <md@linux.it>  Sun, 17 Nov 2019 23:15:20 +0100

libxcrypt (1:4.4.10-2) experimental; urgency=medium

  * Update the Breaks/Replaces for libc*. (See #941853.)
  * Use dh --reload-all-buildenv-variables because the udeb is built
    with different flags.

 -- Marco d'Itri <md@linux.it>  Sun, 17 Nov 2019 22:33:38 +0100

libxcrypt (1:4.4.10-1) experimental; urgency=medium

  * New upstream release.
  * Add proper Breaks/Replaces for libc* and manpages-dev.
  * Build again the udeb.
  * Move the libraries from /lib/ to /usr/lib/

 -- Marco d'Itri <md@linux.it>  Thu, 10 Oct 2019 01:21:17 +0200

libxcrypt (1:4.4.8-1) experimental; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Mon, 02 Sep 2019 01:15:59 +0200

libxcrypt (1:4.4.6-3) experimental; urgency=medium

  * Re-upload with the orig.tar.xz.

 -- Marco d'Itri <md@linux.it>  Tue, 23 Jul 2019 17:26:10 +0200

libxcrypt (1:4.4.6-2) experimental; urgency=medium

  * Remove the build profiles because DAK does not support them.

 -- Marco d'Itri <md@linux.it>  Tue, 23 Jul 2019 16:23:33 +0200

libxcrypt (1:4.4.6-1) experimental; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Mon, 06 May 2019 00:17:33 +0200

libxcrypt (1:4.4.4-1) experimental; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Wed, 06 Mar 2019 00:02:44 +0100

libxcrypt (1:4.4.3-1) experimental; urgency=medium

  * New upstream release.
  * Use build profiles to control which packages will be built.
  * Stop building the udeb for the time being.

 -- Marco d'Itri <md@linux.it>  Sat, 26 Jan 2019 04:25:24 +0100

libxcrypt (1:4.4.2-1) experimental; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Sun, 30 Dec 2018 00:52:32 +0100

libxcrypt (1:4.4.1-1) experimental; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Mon, 10 Dec 2018 15:23:08 +0100

libxcrypt (1:4.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Tue, 04 Dec 2018 18:24:58 +0100

libxcrypt (1:4.3.4-1) experimental; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Sat, 17 Nov 2018 01:25:49 +0100

libxcrypt (1:4.3.1-1) experimental; urgency=medium

  * New upstream release.
  * Stop building libcrypt2, because currently it does not provide anything
    that is not in libcrypt1.
  * Build libcrypt1 for experimental.
    Since the transition from glibc has not yet been arranged, the packages
    must be installed with "dpkg --force-breaks -i".

 -- Marco d'Itri <md@linux.it>  Sun, 11 Nov 2018 15:43:11 +0100

libxcrypt (1:4.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Sat, 10 Nov 2018 21:49:28 +0100

libxcrypt (1:4.2.3-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Fri, 26 Oct 2018 18:25:56 +0200

libxcrypt (1:4.2.2-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Wed, 24 Oct 2018 14:26:00 +0200

libxcrypt (1:4.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Sun, 30 Sep 2018 14:46:00 +0200

libxcrypt (1:4.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Fri, 07 Sep 2018 11:05:35 +0200

libxcrypt (1:4.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Added a missing build-dependency on pkg-config.

 -- Marco d'Itri <md@linux.it>  Thu, 02 Aug 2018 03:07:49 +0200

libxcrypt (1:4.1.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #904019)
    - This package takes over the old orphaned libxcrypt package.

 -- Marco d'Itri <md@linux.it>  Thu, 19 Jul 2018 11:50:29 +0200
